---
title: DataTransfer.mozUserCancelled
slug: Web/API/DataTransfer/mozUserCancelled
tags:
  - API
  - Non-standard
  - Property
  - Reference
  - drag and drop
---
<div>{{APIRef("HTML Drag and Drop API")}}</div>

<p>{{ Non-standard_header() }}</p>

<p>The <strong><code>DataTransfer.mozUserCancelled</code></strong> property is used in the {{event("dragend")}} event handler to determine if the user canceled the drag or not. If the user canceled the event, the property returns <code>true</code> and returns <code>false</code> otherwise. This property only applies to the {{event("dragend")}} event.</p>

<div class="note"><strong>Note:</strong> This property is Gecko-specific.</div>

<p>This property is {{readonlyInline}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>dataTransfer</em>.mozUserCancelled;
</pre>

<h3 id="Return_Value">Return value</h3>

<p>A {{jsxref("Boolean")}} representing <code>true</code> if the user canceled the drag event and returns <code>false</code> otherwise.</p>

<h2 id="Example">Example</h2>

<p>This example shows the use of the <code>mozUserCancelled</code> property in the {{event("dragend")}} event handler.</p>

<pre class="brush: js">function dragend_handler(event)
{
  var dragData = event.dataTransfer;
  console.log("mozUserCancelled = " + dragData.mozUserCancelled);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>This property is not defined in any Web standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DataTransfer.mozUserCancelled")}}</p>

<h2 id="See_also">See also</h2>

<p><a> </a></p>
